﻿.x-form-readonly input,
.x-form-readonly textarea,
input.x-trigger-noedit
{
    background-color: #f2f2f2 !important;
    background-image: none !important;
    cursor: default;
}

.ti-report-viewer object p,
.ti-report-viewer p#error
{
    margin: 10px;
}

.ti-report-viewer a:link,
.ti-report-viewer a:visited
{
    color: Navy;
}

/* Error dialog */

.error-dialog .icon
{
    background: transparent url(../../images/Common/icon-error.gif) no-repeat scroll 0 0;
}

.error-dialog .content-panel .additional-info-label
{
    margin-top: 7px;
    font-weight: bold;
}

.error-dialog .content-panel .error-id, 
.error-dialog .content-panel .description
{
    margin: 7px 0 0 21px;
}

.error-dialog .content-panel-simple .error-id
{
    margin: 14px 0 0 0;
    font-size: 11px;
    font-style: italic;
}

.error-dialog .content-panel .support-link-wrapper
{
    padding: 28px 0 10px 0;
}

/* Common images */

.customize-grid-img
{
    background-image: url(../../images/Common/CustomizeGrid.png) !important;
}

.preview-bottom-img
{
    background-image: url(../../images/Common/preview-bottom.gif) !important;
}

.preview-right-img
{
    background-image: url(../../images/Common/preview-right.gif) !important;
}

.preview-hidden-img
{
    background-image: url(../../images/Common/preview-hide.gif) !important;
}

.open-img
{
    background-image: url(../../images/Common/Open.ico) !important;
}

.save-img
{
    background-image: url(../../images/Common/Save.png) !important;
}

.add-attachment-img
{
    background-image: url(../../images/Common/AddAttachment.png) !important;
}

.print-img
{
    background-image: url(../../images/Common/Print.ico) !important;
}

.close-work-order-img
{
    background-image: url(../../images/Common/CloseWorkOrder.ico) !important;
}

.new-note-img
{
    background-image: url(../../images/Common/NewNote.png) !important;
}

.refresh-img
{
    background-image: url(../../images/Common/Refresh.png) !important;
}

.new-work-order-img
{
    background-image: url(../../images/Common/NewWorkOrder.ico) !important;
}

.audit-img
{
    background-image: url(../../images/Common/AuditWorkstations.ico) !important;
}

/* ABOUT BOX */
#about-box .x-panel-body
{
    background-image: url(../../images/Common/AboutBoxBackground.png) !important;
}

/* Fix for issue: IE8 p element have a Opx margin by defaults. http://www.webmasterworld.com/css/3079292.htm */
#copyright-message p {
    margin: 1em 0;
}

.session-info-content
{
    padding: 10px 20px 20px 20px;
    background-color: White;
    font-size: 10pt;
    font-family: "Tahoma";
    line-height: 20px;
}

.session-info-content td
{
    vertical-align: text-top;
}

.session-info-name
{
    width: 200px;
    padding-right: 5px;
    text-align: right;
}

.session-info-value
{
    width: 200px;
    padding-left: 5px;
    white-space: -moz-pre-wrap !important;  /* Mozilla, since 1999 */
    white-space: -pre-wrap;      /* Opera 4-6 */
    white-space: -o-pre-wrap;    /* Opera 7 */
    white-space: pre-wrap;       /* css-3 */
    word-wrap: break-word;       /* Internet Explorer 5.5+ */
    color: #004376;
    font-weight: bold;
}

#session-info-link:link, 
#session-info-link:visited
{
    font-size: 12px;
    color: White;
}

/*
Tab's icon is cut 1 px at the top due to negative background position
TODO_SENCHA: http://www.sencha.com/forum/showthread.php?131453
*/
.x-tab-icon {
  background-position: 0 0;
}

.x-border-box .x-tab-top 
{
    height: 32px;
    padding: 8px 11px;
}

.x-toolbar-default
{
    background-color : #F2F2F2  !important;  
}

.x-splitter
{
     background-color : #157fcc  !important;     
}

.x-column-header-last 
{
    border-right-width : 1px !important;
}

.x-layout-split-right
{
    background-color : Gray !important;
}


/* override default framework behavior*/
.x-window-header-default-top 
{
    box-shadow: 0 1px 0 0 transparent inset, -1px 0 0 0 transparent inset, 1px 0 0 0 transparent inset !important;
}

.x-portal .x-portal-column
{     
    padding: 0px 9px 0 0 !important;   
}

.x-column-header 
{
    font: bold 11.5px/14px helvetica, arial, verdana, sans-serif !important;
}

.x-grid-cell  
{
    font: normal 11.5px/14px helvetica, arial, verdana, sans-serif !important;
}

/*property used on add assignment window to make font white*/
.white-font 
{
    color : White !important;    
}

.x-accordion-layout-ct 
{
    background-color: skyblue !important;
    padding: 1px !important;
}

.x-accordion-item .x-accordion-hd 
{
    background: none repeat scroll 0 0 white !important;
}

.x-accordion-hd .x-tool-img 
{
    background-color: white !important;
}

p 
{
   margin: 0px;
   padding: 0px;
}

.x-menu-item-text 
{
    font: 11.5px/23px helvetica,arial,verdana,sans-serif !important;
}

.x-body 
{
    font-size: 11.5px !important;
}

.x-panel-body-default 
{
    font-size: 11.5px !important;
}

.x-toolbar 
{
    font-size: 11.5px !important;
}

.x-tab-default .x-tab-inner 
{
    font-size: 11.5px !important;
}

.x-panel-header-text-container-default 
{ 
    font-size: 11.5px !important;
}

.x-form-item, .x-form-field 
{
    font: 11.5px helvetica,arial,verdana,sans-serif !important;
}

.x-form-item-label 
{
    font: 11.5px/17px helvetica,arial,verdana,sans-serif !important;
}

.x-window-header-text-container-default 
{
    font-size: 11.5px !important;
}

.x-boundlist-item 
{
    font: 11.5px/22px helvetica,arial,verdana,sans-serif !important;
}

.x-btn-plain-toolbar-small-disabled .x-btn-icon-el, .x-btn-plain-toolbar-medium-
disabled .x-btn-icon-el, .x-btn-plain-toolbar-large-disabled .x-btn-icon-el 
{
    background-color: #F2F2F2  !important;
}

.x-boundlist-floating 
{
    border-top-width: 1px !important;
}

.x-border-layout-ct
{
     background-color : White  !important; 
}

.buttonCls:hover 
{ 
    background: none repeat scroll 0 0 lightgray !important;
}

/*property used for making background white for buttons having icons on it.*/
.buttonCls 
{ 
    background: none repeat scroll 0 0 white !important;
    background-color: white !important;
    border-radius: 5px !important; 
    border-style: solid;
    font-size: 11.5px !important;
}

.x-btn-default-toolbar-small .x-btn-inner
{
    font-size: 11.5px !important;
    font-weight: normal !important;   
}

label 
{
   position: relative;
   display: inline-block;
}

/* property getting applied on solution module to add borders on preview panel*/
.borderClass
{
  border-width :0px 0px 8px 0px !important;
  border-style: solid;
}

.x-toolbar .x-toolbar-item 
{
    margin: 0px 2px 0px 2px;
}

.x-menu-item-link 
{
     min-height: 25px !important;
}

/* override latest browsers behaviour*/
ul 
{
    list-style-type: none;
    -webkit-padding-start: 0px;
    padding-left : 0px;
}

/* property getting applied on report module to hide rowExpander's icon('+')*/
.hide-row-expander-icon .x-grid-row-expander
{
    visibility: hidden;   
}

/* property getting applied on report module to correct the row margins*/
.row-expander-padding .x-grid-cell-inner
{
     padding: 5px 0 4px;
}
